/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

p {
  margin: 0;
}

body {
  background-color: lightcyan;
  color: black;
  font-family: Arial;
  margin: 0;
}

a {
  text-decoration: none;
  color: black;
}

@font-face {
  font-family: 'logo';
  src: url(PartyConfetti.ttf);
}

.sidebar {
  height: 100%;
  width: 200px;
  position: fixed;
  z-index: 2;
  top: 60px;
  left: 0;
  background-color: #41B1E0;
  overflow-x: hidden;
  border-right: 3px solid black;
  box-sizing: border-box;
}

.sideuserbox {
  display: none;
  align-items: center;
}

.topbar {
  height: 60px;
  width: 100%;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #41B1E0;
  overflow-x: hidden;
  border-bottom: 3px solid black;
}

.topuserbox {
  display: flex;
  float: right;
  align-items: center;
  margin-right: 5px;
  position: relative; /*only used because of z-index*/
  z-index: 1;
}

.menubutton {
  display: none;
  width: 50px;
  height: 50px;
  margin: 5px;
  float: right;
  position: relative; /*only used because of z-index*/
  z-index: 1;
}

.sidelink {
  margin-left: 10px;
  text-decoration: none;
  color: black;
  font-size: 40px;
  font-weight: bold;
  width: 100%
}

.main {
  padding: 25px;
  position: fixed;
  margin-left: 200px;
  margin-top: 63px;
  width: calc(100% - 250px);
  height: calc(100% - 113px);
  overflow: auto;
}

/*@media screen and (max-width: 700px) {
  .sidebar {
    margin-left: -200px;
  }
  .sideuserbox {
    display: flex;
  }
  .topuserbox {
    display: none;
  }
  .menubutton {
    display: block;
  }
  .main {
    margin-left: 0;
    width: calc(100% - 50px);
  }
}*/

.profilebox {
  max-width: 350px;
  border: 3px solid black;
  border-radius: 25px;
  background-color: white;
  box-sizing: border-box;
  float: left;
  margin-bottom: 25px;
}
/*.profilebox {
  position: absolute;
  width: 350px;
  left: 25px;
  top: 25px;
  border: 3px solid black;
  border-radius: 25px;
  background-color: white;
  box-sizing: border-box;
}*/
.postbox {
  display: inline-block;
  padding: 25px;
  border: 3px solid black;
  border-radius: 25px;
  background-color: white;
  box-sizing: border-box;
  margin-bottom: 10px;
}
.pfp {
  background-color: white;
  border: 3px solid black;
  border-radius: 50%;
  width: 100px;
  height: 100px;
  box-sizing: border-box;
}

.tooltip .tooltiptext {
  visibility: hidden;
  background-color: #41B1E0;
  color: #000000;
  text-align: center;
  border: 2px solid black;
  border-radius: 5px;
  padding: 5px;
  font-size: 20px;
  font-weight: normal;

  /* Position the tooltip */
  position: absolute;
  z-index: 1;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}